Loading...
Searching...
No Matches
cxx::arith::Ld< V > Struct Template Reference

Computes the binary logarithm of the given number at compile time. More...

`#include <arith>`

Collaboration diagram for cxx::arith::Ld< V >:

## Detailed Description

template<unsigned long V>
struct cxx::arith::Ld< V >

Computes the binary logarithm of the given number at compile time.

Parameters

  val | Number whose logarithm to compute, must be greater than zero.

Returns
  The binary logarithm of val.

Definition at line 48 of file arith.

The documentation for this struct was generated from the following file:

- l4/cxx/arith